Subject: [Tsvwg] comment for WGLC on SCTP IG

From: "Meyknecht, Bernward" <[email-masked]>
Date: Tue, 30 Aug 2005 18:11:54 +0200

Hi all,

I have another comment on the actual version of our IG,
concerns the new text for Section 6.3.1 on page 100:

Copy of text:
C5) Karn's algorithm: RTT measurements MUST NOT be made using 
packets that were retransmitted (and thus for which it is ambiguous
whether the reply was for the first instance of the packet 
or a later instance)
IMPLEMENTATION NOTE: RTT measurements should only be
made using a packet with TSN r if no packet
with TSN less than or equal to r is retransmitted
since r was first sent.

===> The text uses the term 'packet', but SCTP does not retransmit 
packets, retransmission is defined for chunks.
Thus, my proposal is to change 'packet' to 'chunk'.
(4 occurrences as far as I see)

What do you think?

The rest of the IG now looks fine for me,
is technically OK from my point of view.

Kind regards,

Bernie

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Randall Stewart <[email-masked]>
Date: Tue, 30 Aug 2005 12:42:20 -0400

Bernward:

This is a good point.. the text should use
the term chunks instead of the packet word

I will make the appropriate changes :-D

R

-- 
Randall Stewart
803-345-0369 <or> 815-342-5222(cell)

---

From: Peter Lei <[email-masked]>
Date: Tue, 30 Aug 2005 11:44:33 -0500

> (4 occurrences as far as I see)

Agree.  The RTT measurements described here should be for
"chunks", not "packets".

--peter

---

From: Randall Stewart <[email-masked]>
Date: Tue, 30 Aug 2005 12:45:07 -0400

One follow up comment to this..

I can't change the "Old Text" section of the
document.. that says 'packet' (in two places).

Since this is the wording from RFC2960..

I will change the "New Text" section though
to make sure we get it editted into the BIS
document :-D

R